Skip to content

Get a submission batch with its per-loan premiums

GET
/credit-life/schedules/{scheduleId}

Authorizations

BearerAuth
Type
HTTP (bearer)

Parameters

Path Parameters

scheduleId*
Type
string
Required

Responses

A batch and its loans. Read outstandingPremium to see what is still owed on cover that is already in force.

application/json
JSON
{
  
"id": "string",
  
"number": "string",
  
"status": "string",
  
"type": "string",
  
"totalLoans": 0,
  
"loanAmount": 0,
  
"netPremium": 0,
  
"levy": 0,
  
"grossPremium": 0,
  
"amountReceipted": 0,
  
"outstandingPremium": 0,
  
"currency": "string",
  
"createdAt": "string",
  
"loans": [
  
  
{
  
  
  
"id": "string",
  
  
  
"clientName": "string",
  
  
  
"nrcNumber": "string",
  
  
  
"amount": 0,
  
  
  
"coveredAmount": 0,
  
  
  
"premiumRate": 0,
  
  
  
"netPremium": 0,
  
  
  
"levy": 0,
  
  
  
"grossPremium": 0,
  
  
  
"status": "string",
  
  
  
"startDate": "string",
  
  
  
"endDate": "string",
  
  
  
"partnerLoanReference": "string",
  
  
  
"interestRate": 0
  
  
}
  
],
  
"skipped": [
  
  
{
  
  
  
"nrcNumber": "string",
  
  
  
"partnerLoanReference": "string",
  
  
  
"existingLoanId": 0
  
  
}
  
]
}

Playground

Authorization
Variables
Key
Value

Samples

Built with ❤️ by Hobbiton Technologies